{ pkgs, osConfig, ... }:
let
  withCuda = if (osConfig.system.name == "gunter") then true else false;
  pob = pkgs.qt6Packages.callPackage ../../packages/pob.nix { };
in
{
  home.packages = with pkgs; [
    # CLI utils
    age
    bat
    bzip2
    croc
    devenv
    distrobox
    dust
    easyeffects
    eza
    fd
    ffmpeg
    file
    fzf
    glib
    go-task
    grimblast
    ijq
    incus
    jq
    kitty
    kubectl
    ncdu
    nvd
    nurl
    nwg-look
    pinentry
    pre-commit
    pulseaudio
    pulsemixer
    rbw
    restic
    ripgrep
    sops
    sshfs
    tldr
    tokei
    unzip
    ventoy
    zoxide

    # Non-CLI stuff
    alacritty
    discord
    feh
    krita
    mpv
    mumble
    pamixer
    rofi-rbw-wayland
    spicetify-cli
    spotify
    virt-manager
    vmware-horizon-client
    yt-dlp
    zoom-us

    # k8s tools
    cilium-cli
    cmctl
    k9s
    krew
    kubernetes-helm
    talosctl

    # Go stuff
    go
    delve
    gopls

    # js/ts
    nodejs
    nodePackages.pnpm
    typescript

    # Py stuff
    (python312.withPackages (
      p: with p; [
        requests
        ipython
      ]
    ))
    poetry
    ruff

    # rust stuff
    rustc
    cargo
    rust-analyzer

    # Homemade shit
    ghettoptt
    huecli

    # Stuff with overrides
    # Btop
    (btop.override { cudaSupport = withCuda; })
    # PrismLauncher
    (prismlauncher.override { withWaylandGLFW = true; })

    pob
  ];
}
